Skip to content
Back to top
View this page
Edit this page

# `preferences:`

class searx._settings.SettingsPref(*, lock: set[~typing.Literal['categories', 'language', 'locale', 'autocomplete', 'favicon_resolver', 'image_proxy', 'method', 'safesearch', 'theme', 'results_on_new_tab', 'doi_resolver', 'simple_style', 'center_alignment', 'query_in_title', 'search_on_category_select']]=<factory>)

  Options for configuring the preferences

      preferences:
        lock:
          - favicon_resolver
          - image_proxy
          - method
      # ...

  lock: set [ Literal ['categories', 'language', 'locale', 'autocomplete', 'favicon_resolver', 'image_proxy', 'method', 'safesearch', 'theme', 'results_on_new_tab', 'doi_resolver', 'simple_style', 'center_alignment', 'query_in_title', 'search_on_category_select']]

    Lock arbitrary settings on the preferences page.